Bug 8101 - konqueror показывает неверное время файла на сетевом диске
: konqueror показывает неверное время файла на сетевом диске
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdebase-konqueror)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-30 15:02 by
Modified: 2008-07-19 16:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-30 15:02:28
Я имею пользовательскую директорию на сервере Bank2. Подключаю ее при помощи 
smb4k. Создаю на ней файлы архивов своих программ при попмощи архиватора RAR. 
Смотрю в konqueror'е через точку монтировки smb4k в домашней директории - 
время файла соответствует действительности. Смотрю в konqueror через сервис 
samba по адресу smb://bank2/tverdokhlebov - время файлов ушло вперед на 6 
часов. проблема точно не связана с необновлением информации на экране - 
обновление по F5 и через меню делал. Да старые файлы должны иметь старую 
дату\время, а не новую.
------- Comment #1 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #2 From 2008-07-19 16:40:32 -------
Время на клиенте в UTC? Время на сервере в локальной TZ? В какой временной зоне
идет работа?

Если происходит монтирование ресурсов с помощью cifsfs, то смонтированая
файловая система автоматически учитывает разницу во временных зонах. Если
используется smbfs, то необходимо передавать при монтировании опцию serverzone
с правильным значением.

Код в smb4k не запрашивает временную зону с сервера, с которым общается,
посредством net time (эта операция не требует авторизации, она исполняется
любым сервером). Сервер возвращает свое время и временную зону, которые
необходимо учитывать.

Поскольку smbfs формально уже не поддерживается и с 2.6.27-28 будет исключена
из основного ядра, необходимо сделать так, чтобы по умолчанию использовалась
только cifsfs.

С другой стороны, уже в ALD4.0 smb4k по умолчанию настроен на использование
cifsfs. Так что проблема должна быть решена. А поскольку smbfs выходит из
использования (cifsfs уже поддерживает весь функционал smbfs), то я рекомендую
эту ошибку закрыть как WONTFIX.